import 'package:dart_json_mapper/dart_json_mapper.dart';

import 'UserMode.dart';
@jsonSerializable
class LoginMode {
  @JsonProperty(name: 'access_token')
  String? accessToken;

  @JsonProperty(name: 'user')
  User? user;

  @JsonProperty(name: 'tutorial')
  String? tutorial;

  @JsonProperty(name: 'swoftdownload')
  String? swoftDownload;

  @JsonProperty(name: 'affurl')
  String? affUrl;

  @JsonProperty(name: 'user_login_url')
  String? userLoginUrl;

  @JsonProperty(name: 'user_buy')
  String? userBuy;

  @JsonProperty(name: 'user_ticket')
  String? userTicket;

  @JsonProperty(name: 'clash_config')
  String? clashConfig;

  LoginMode({
    this.accessToken,
    this.user,
    this.tutorial,
    this.swoftDownload,
    this.affUrl,
    this.userLoginUrl,
    this.userBuy,
    this.userTicket,
    this.clashConfig,
  });
}