import 'package:dart_json_mapper/dart_json_mapper.dart';

@jsonSerializable
class SysConfig {
  @JsonProperty(name: 'affurl')
  String? affUrl;

  @JsonProperty(name: 'user_login_url')
  String? userLoginUrl;

  @JsonProperty(name: 'user_login_url_ke')
  String? userLoginUrlKe;

  @JsonProperty(name: 'user_buy')
  String? userBuy;

  @JsonProperty(name: 'user_ticket')
  String? userTicket;

  @JsonProperty(name: 'user_reg')
  String? userReg;

  @JsonProperty(name: 'user_reset')
  String? userReset;

  @JsonProperty(name: 'user_tutorial')
  String? userTutorial;

  @JsonProperty(name: 'user_rofile')
  String? userProfile;

  @JsonProperty(name: 'user_download')
  String? userDownload;

  @JsonProperty(name: 'tag')
  int? tag;

  SysConfig({
    this.affUrl,
    this.userLoginUrl,
    this.userLoginUrlKe,
    this.userBuy,
    this.userTicket,
    this.userReg,
    this.userReset,
    this.userTutorial,
    this.userProfile,
    this.userDownload,
    this.tag,
  });
}